%define bname xkbcommon

%define date 0
%define git 0
%define rel 1

%if %git
%define pkgrel 0.%{date}.%{rel}
%define distname %{name}-%{date}
%define srcname %{name}-%{git}
%else
%define pkgrel %{rel}
%define distname %{name}-%{version}
%define srcname %{distname}
%endif


%define major 0
%define libname %mklibname %{bname} %{major}
%define libname_devel %mklibname %{bname} -d

Summary:	XKB API common to servers and clients
Name:		lib%{bname}
Version:	0.7.1
Release:	%mkrel %{pkgrel}
# https://github.com/xkbcommon/libxkbcommon
# DATE=$(git show -s --pretty=%ai | awk '{ gsub("-", "", $1); print $1 }'); NAME=libxkbcommon-$DATE ; git archive --format=tar.gz --prefix=$NAME/ HEAD > $NAME.tar.gz
Source0:	http://xkbcommon.org/download/%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://xkbcommon.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
BuildRequires:	doxygen
BuildRequires:	pkgconfig(xcb-xkb)
# to auto-detect XKB config root
BuildRequires:	x11-data-xkbdata

%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package doc
Summary:	%{name} documentation
Group:		Documentation

%description doc
This package contains documentation of %{name}.

%prep
%setup -q -n %{srcname}
%autopatch -p1
autoreconf -vfi

%build
%configure2_5x --disable-static
%make

%install
%makeinstall

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/%{name}-x11.so.%{major}
%{_libdir}/%{name}-x11.so.%{major}.*

%files -n %{libname_devel}
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-x11.so
%{_libdir}/pkgconfig/%{bname}*.pc

%files doc
%doc %{_docdir}/%{name}/*


%changelog
* Thu Jan 19 2017 luigiwalser <luigiwalser> 0.7.1-1.mga6
+ Revision: 1082471
- 0.7.1

* Sat Dec 17 2016 luigiwalser <luigiwalser> 0.7.0-1.mga6
+ Revision: 1075751
- 0.7.0

* Mon May 09 2016 luigiwalser <luigiwalser> 0.6.1-1.mga6
+ Revision: 1011495
- 0.6.1

* Mon Apr 11 2016 tv <tv> 0.6.0-1.mga6
+ Revision: 1000320
- new release

* Sat Mar 05 2016 pterjan <pterjan> 0.5.0-4.mga6
+ Revision: 985975
- Make the package compatible with the mass rebuild

* Sat Mar 05 2016 blino <blino> 0.5.0-3.mga6
+ Revision: 985897
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Fri Aug 21 2015 tmb <tmb> 0.5.0-2.mga6
+ Revision: 867776
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.5.0-1.mga6
+ Revision: 837379
- 0.5.0

* Thu Aug 21 2014 ovitters <ovitters> 0.4.3-1.mga5
+ Revision: 666234
- new version 0.4.3

* Thu May 29 2014 sander85 <sander85> 0.4.2-1.mga5
+ Revision: 627485
- New version: 0.4.2

* Wed Feb 19 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 594979
- adjust file list
- BR pkgconfig(xcb-xkb)
- new release

* Sun Jun 16 2013 blino <blino> 0.3.1-1.mga4
+ Revision: 443592
- update url
- 0.3.1

* Sun May 26 2013 blino <blino> 0.3.0-1.mga4
+ Revision: 427728
- 0.3.0

* Fri Nov 09 2012 blino <blino> 0.2.0-2.mga3
+ Revision: 316732
- remove xproto and kbproto build dep (cleaned upstream)

* Wed Oct 24 2012 blino <blino> 0.2.0-1.mga3
+ Revision: 309555
- build and package doc
- package xkbcommon-compat.h
- 0.2.0
- drop merged patch

* Mon Jul 23 2012 blino <blino> 0.1.0-0.20120713.1.mga3
+ Revision: 273896
- package new keysyms and names files
- Fix yyparse conflict at build by forward-declaring struct (reported as fd.o #52414)
- update to 20120713 snapshot (git fe4f990902c7cd8f395b9f3be14dc6e8cad7cae9)
- move autoreconf in prep

* Fri Mar 02 2012 blino <blino> 0.1.0-0.20120220.2.mga2
+ Revision: 216701
- buildrequire x11-data-xkbdata to properly detect XKB config root

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.1.mga2
+ Revision: 216357
- fix libname

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.mga2
+ Revision: 216280
- buildrequires flex
- buildrequires xproto and kbproto
- buildrequires bison
- initial release
- Created package structure for libxkbcommon.

